Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2012 12:36:31 +0200

> From: Ivan Andrus <[email-masked]>
> Date: Thu, 22 Mar 2012 21:49:10 +0100
> 
> Run emacs -Q and then evaluate (e.g. in *scratch*) the following
> 
> (face-remap-add-relative 'default '(:background "dark green"))
> 
> Notice that the dark green background only appears on the lines which
> actually contain text.  Most of the window still has the white
> background since the buffer only consists of a few lines.  This is
> annoying for my use case of different backgrounds to signify different
> modes (e.g. read only).
> 
> It is also a problem when using :stipple e.g.
> 
> (face-remap-add-relative 'default '(:stipple "/Users/gvol/.emacs.d/local/pic/b-rock-grey.jpg"))

Thanks.

This is how Emacs display engine always worked: the non-text parts of
the window display are drawn in the default face.  (Remapping does not
change the default face, as far as Emacs internals are concerned, it
just substitutes a different face in its stead, leaving the literal
DEFAULT_FACE_ID intact.)

So this bug has rather low priority at this time, as it's not a
regression wrt Emacs 23.  Time permitting, I will at the very least
try to figure out what changes are needed to make this work as
expected.